Skip to contentSkip to navigationSkip to topbar
Page tools
Useful for sharing or LLM
Accelerate development with AI

On this pageProducts used
Looking for more inspiration?Visit the
Error
Application error

59201: Referenced Resource Not Found

Twilio API Documentation and Error CodesAPI

Description

description page anchor

A resource ID supplied in the request body refers to a resource that does not exist, or that belongs to a different account. This error is returned when creating or updating a Setting (invalid authProfileId or sharedKeyId) or a Rule (invalid settingId).

Possible causes

possible-causes page anchor
  • The referenced AuthProfile, SharedKey, or Setting ID was mistyped.
  • The referenced resource was deleted after your application cached its ID.
  • The referenced resource belongs to a different Twilio account than the one making the request.
  • Confirm the referenced ID exists and is spelled correctly by fetching it directly (for example GET /v1/Webhooks/Settings/{settingId}).
  • List the resource type to find a valid, current ID (for example GET /v1/Webhooks/AuthProfiles).
  • Make sure the ID belongs to the same account whose credentials are used to make the request.